package com.yd.csf.api.service;

import com.yd.common.result.Result;
import com.yd.csf.feign.dto.appointment.ApiPolicyholderInfoDto;
import com.yd.csf.service.model.Policyholder;

public interface ApiPolicyholderService {

    Result<ApiPolicyholderInfoDto> detail(String appointmentBizId,
                                          String policyholderBizId);

    Result edit(ApiPolicyholderInfoDto apiPolicyholderInfoDto);

    Result<Policyholder> addPolicyholderData(ApiPolicyholderInfoDto dto, String appointmentBizId);

    Result<Policyholder> editPolicyholderData(ApiPolicyholderInfoDto dto, String appointmentBizId);
}
